SSLDirConfigRec Struct Reference
module AP_MODULE_DECLARE_DATA

`#include <canl_mod_ssl-private.h>`

## Data Fields

BOOL | bSSLRequired
apr_array_header_t * | aRequirement
int | nOptions
int | nOptionsAdd
int | nOptionsDel
const char * | szCipherSuite
ssl_verify_t | nVerifyClient
int | nVerifyDepth
const char * | szCACertificatePath
const char * | szCACertificateFile
const char * | szUserName

## Field Documentation

## aRequirement

apr_array_header_t* SSLDirConfigRec::aRequirement

## bSSLRequired

BOOL SSLDirConfigRec::bSSLRequired

## nOptions

int SSLDirConfigRec::nOptions

## nOptionsAdd

int SSLDirConfigRec::nOptionsAdd

## nOptionsDel

int SSLDirConfigRec::nOptionsDel

## nVerifyClient

ssl_verify_t SSLDirConfigRec::nVerifyClient

## nVerifyDepth

int SSLDirConfigRec::nVerifyDepth

## szCACertificateFile

const char* SSLDirConfigRec::szCACertificateFile

## szCACertificatePath

const char* SSLDirConfigRec::szCACertificatePath

## szCipherSuite

const char* SSLDirConfigRec::szCipherSuite

## szUserName

const char* SSLDirConfigRec::szUserName